Bug 834446 - auth directive has unneeded authconfig commands listed
auth directive has unneeded authconfig commands listed
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Bokoc
Ruediger Landmann
:
Depends On:
Blocks: 876391
  Show dependency treegraph
 
Reported: 2012-06-21 17:49 EDT by joshua
Modified: 2013-07-29 13:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 876391 (view as bug list)
Environment:
Last Closed: 2013-07-29 13:44:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2012-06-21 17:49:58 EDT
Description of problem:

In http://docs.fedoraproject.org/en-US/Fedora/17/html-single/Installation_Guide/index.html#s1-kickstart2-options, under the auth ks directive section, this following text is included:

"To set up the SHA-512 hashing algorithm, run authconfig --passalgo=sha512 --kickstart. Remove the --enablemd5 option if it is present."  Something similar just above it is mentioned for sha256.

So why does just "auth --useshadow --passalgo=sha512" work while kickstarting?  Are the other instructions about running authconfig even needed?  They appear to be included in error.



Version-Release number of selected component (if applicable):

F17 Install guide
Comment 1 Jack Reed 2012-11-13 20:02:19 EST
Thanks for reporting this, Joshua. You're right, the description refers more to an entirely separate command than an option in a kickstart file.

Given that just entering "--passalgo=sha512" has worked for you (which certainly makes sense), I have removed the full command, including --kickstart, so it now just reads as follows:

"--passalgo= — specify sha256 to set up the SHA-256 hashing algorithm or sha512 to set up the SHA-512 hashing algorithm."

The commit is here: http://git.fedorahosted.org/cgit/docs/install-guide.git/commit/?id=e210fece6d1d6cbf2abe989921df74ced380eb5e

Note You need to log in before you can comment on or make changes to this bug.